package com.winsea.svc.common.international;

/**
 * 国际资源提供者
 * 
 * @author SunTianjun
 */
public interface InternationalResourceProvider {

	/**
	 * 获取文本
	 * 
	 * @param resourceId 资源ID
	 * @param lang       语言
	 * @return 国际化文本
	 */
	String getText(String resourceId, String lang);

	/**
	 * 创建资源
	 * 
	 * @param text 文本
	 * @param type 类型
	 * @param lang 语言
	 * @return 资源ID
	 */
	default String create(String text, String type, String lang) {
		return text;
	}

	/**
	 * 标识待删除资源
	 * 
	 * @param resourceId 资源ID
	 */
	default void markDeletion(String resourceId) {
	}
}